Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006102TestLinkAPI - XMLRPCpublic2013-12-15 20:252014-04-25 17:39
Reporterlczub 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006102: updateTestCase returns debug informations
Description1. create project 'P-A' with test suite 'TS-A' and test case 'TC-A'
2. call xml-rpc api method updateTestCase with
   - testcaseexternalid = full_tc_external_id of test case 'TC-A'
   - steps = Array with new steps
   - importance = high
   
3. check xml-rpc return values
=> return values includes debug information with 'sql' and 'devkey' details
   Example:
{'testcaseexternalid': 'P-A-1', 'importance': 'high', 'testcaseid': 4499, 'version': 1, 'steps': [{'step_number': 1, 'expected_results': 'Step result 1', 'actions': 'Step action 1 updated', 'execution_type': 2}],

 'debug': {'fv': {'importance': 'high', 'updater_id': '3'}, 'sql': '/* Class:testcase - Method: updateSimpleFields */ UPDATE tcversions SET importance = 0,updater_id = 3 WHERE id=4500'},
 'devKey': 'c34b0ce48d9c3751c65592bf84a8abcb'}

Info: testmode was deactivated
TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres 9.2
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020216)
fman (administrator)
2013-12-17 06:03
edited on: 2013-12-17 06:09

please create sandbox with latest code from gitorious, retest and provide feedback

found
edit xmlrpc.clall.php
look for
$this->args['debug'] = $debug_info;
comment it

(0020218)
fman (administrator)
2013-12-17 06:29

https://gitorious.org/testlink-ga/testlink-code/commit/d2e006113c2000d3f17e12c3f971b2940d154698 [^]
(0020220)
lczub (reporter)
2013-12-17 20:43

Hello Francisco,
repeating updateTestCase call with latest gitorious source
  (branch testlink_1_9, commit d2e0061)
creates now response data without debug (sql) informations.
But the response still includes devKey informations.

Example:
 {'testcaseexternalid': 'P-B-1', 'importance': 'high', 'testcaseid': 4505, 'version': 1,
 'steps': [{'step_number': 1, 'expected_results': 'Step result 1', 'actions': 'Step action 1 updated', 'execution_type': 2}],
 'devKey': 'c34b0ce48d9c3751c65592bf84a8abcb'}
(0020221)
fman (administrator)
2013-12-18 08:59

OK I'm going to recheck
(0020230)
fman (administrator)
2013-12-20 09:01

https://gitorious.org/testlink-ga/testlink-code/commit/3b604cdf186058ad026595f744fd737351f0cbea [^]
(0020868)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-12-15 20:25 lczub New Issue
2013-12-16 17:59 fman Product Version => 1.9.9 (2013 Q4 - bug fixing)
2013-12-17 06:03 fman Note Added: 0020216
2013-12-17 06:09 fman Note Edited: 0020216 View Revisions
2013-12-17 06:25 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-12-17 06:25 fman Status new => resolved
2013-12-17 06:25 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2013-12-17 06:25 fman Resolution open => fixed
2013-12-17 06:25 fman Assigned To => fman
2013-12-17 06:29 fman Note Added: 0020218
2013-12-17 06:29 fman Relationship added child of 0006048
2013-12-17 20:43 lczub Note Added: 0020220
2013-12-18 08:59 fman Note Added: 0020221
2013-12-20 09:01 fman Note Added: 0020230
2014-04-25 17:39 fman Note Added: 0020868
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker